/*
export function someAction (context) {
}
*/
import firebase from "firebase/app";

import { firestoreAction } from "vuexfire";

export const loadProject = firestoreAction(
  ({ bindFirestoreRef, state }, key) => {
    const db = firebase.firestore();

    const ref = db.collection("projects").doc(key);
    return Promise.all([
      bindFirestoreRef("selectedProject", ref),
      bindFirestoreRef("selectedProjectPhotos", ref.collection("photos")),
      bindFirestoreRef("selectedProjectFiles", ref.collection("files")),
      bindFirestoreRef("selectedProjectComments", ref.collection("comments"))
    ]).then(() => {
      bindFirestoreRef(
        "relatedProjects",
        db
          .collection("projects")
          .where("status", "==", "published")
          .where("category", "==", state.selectedProject["category"])
          .orderBy("downloadsCount", "desc")
          .limit(6)
      );
    });
  }
);
